<template>
  <div>
    <v-card
      class="mx-1 mb-1"
      @click="openProgram"
    >
      <v-card-title class="pa-6 pb-3">
        <p style="font-size: 20px;">{{ program.educationProgram.name }}</p>
      </v-card-title>
      <v-card-text class="pa-6 pt-0">
        <v-row no-gutters>
          <span class="font-weight-medium card-dark-grey" style="font-size: 24px;">{{ program.educationProgram.code }}</span>
        </v-row>
      </v-card-text>
    </v-card>
  </div>
</template>

<script lang="ts">
import Vue from 'vue';
import { Component, Prop } from 'vue-property-decorator';
import ApplicationModule from '@/store/modules/application';
import { getModule } from 'vuex-module-decorators';
import { IProgramInstance } from '@/interfaces';

@Component
export default class ProgramCard extends Vue {
  @Prop() public program !: IProgramInstance;

  private openProgram() {
    const path = ( this as any ).$router.history.current.path;
    this.$router.push(`${path}/programs/${this.program.id}`);
  }
}
</script>
